Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 604602 (perl-5.24) - dev-lang/perl-5.24.1-r1 stabilization
Summary: dev-lang/perl-5.24.1-r1 stabilization
Status: RESOLVED FIXED
Alias: perl-5.24
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo Perl team
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on: 531058 599286 613356 614696
Blocks: 575342 612266 617292
  Show dependency tree
 
Reported: 2017-01-04 09:15 UTC by Andreas K. Hüttel
Modified: 2017-05-30 22:23 UTC (History)
3 users (show)

See Also:
Package list:
=dev-lang/perl-5.24.1-r1 =virtual/perl-Attribute-Handlers-0.990.0-r1 =virtual/perl-CPAN-Meta-Requirements-2.140.0-r1 =virtual/perl-CPAN-Meta-YAML-0.18.0-r1 =virtual/perl-CPAN-Meta-2.150.5-r1 =virtual/perl-Carp-1.400.0-r1 =virtual/perl-Compress-Raw-Bzip2-2.69.0-r1 =virtual/perl-Compress-Raw-Zlib-2.69.0-r1 =virtual/perl-Data-Dumper-2.160.0-r1 =virtual/perl-Devel-PPPort-3.320.0-r1 =virtual/perl-Dumpvalue-1.180.0-r1 =virtual/perl-Encode-2.800.100_rc =virtual/perl-ExtUtils-CBuilder-0.280.225-r1 =virtual/perl-ExtUtils-Command-7.100.200_rc =virtual/perl-ExtUtils-MakeMaker-7.100.200_rc =virtual/perl-ExtUtils-ParseXS-3.310.0-r1 =virtual/perl-File-Path-2.120.100_rc-r1 =virtual/perl-File-Spec-3.630.100_rc =virtual/perl-Getopt-Long-2.480.0-r1 =virtual/perl-HTTP-Tiny-0.56.1_rc =virtual/perl-IO-Compress-2.69.1_rc =virtual/perl-IO-1.360.100_rc =virtual/perl-Math-BigInt-FastCalc-0.400.0-r1 =virtual/perl-Math-BigInt-1.999.715-r2 =virtual/perl-Math-BigRat-0.260.802-r1 =virtual/perl-Module-CoreList-5.201.701.142.400_rc =virtual/perl-Module-Metadata-1.0.31-r1 =virtual/perl-Parse-CPAN-Meta-1.441.700.100_rc =virtual/perl-Perl-OSType-1.9.0-r1 =virtual/perl-Pod-Simple-3.320.0-r1 =virtual/perl-Scalar-List-Utils-1.420.200_rc-r1 =virtual/perl-Socket-2.20.30_rc-r1 =virtual/perl-Storable-2.560.100_rc =virtual/perl-Term-ANSIColor-4.40.0-r1 =virtual/perl-Test-Harness-3.360.100_rc =virtual/perl-Test-1.280.100_rc =virtual/perl-Thread-Queue-3.90.0-r1 =virtual/perl-Time-HiRes-1.973.300-r1 =virtual/perl-Time-Piece-1.310.0-r1 =virtual/perl-Unicode-Collate-1.140.0-r2 =virtual/perl-Unicode-Normalize-1.250.0-r2 =virtual/perl-XSLoader-0.220.0 =virtual/perl-autodie-2.290.0-r1 =virtual/perl-bignum-0.420.100_rc =virtual/perl-if-0.60.600-r1 =virtual/perl-libnet-3.80.100_rc =virtual/perl-parent-0.234.0-r1 =virtual/perl-podlators-4.70.0-r1 =virtual/perl-threads-shared-1.510.0-r1 =virtual/perl-threads-2.70.0-r1 =virtual/perl-version-0.991.600-r1
Runtime testing required: ---
stable-bot: sanity-check+


Attachments
stabilization list, v1 (perl-5.24-stablelist-v1.txt,1.89 KB, text/plain)
2017-03-24 11:00 UTC, Andreas K. Hüttel
dilfridge: stabilization-list+
Details
stabilization list, v2 (perl-5.24-stablelist-v2.txt,1.89 KB, text/plain)
2017-04-04 20:36 UTC, Andreas K. Hüttel
dilfridge: stabilization-list+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas K. Hüttel gentoo-dev 2017-01-04 09:15:19 UTC
Tracker for eventual Perl 5.24 stabilization. No talking please.
Comment 1 Andreas K. Hüttel gentoo-dev 2017-03-24 11:00:06 UTC
Created attachment 468132 [details]
stabilization list, v1
Comment 2 Andreas K. Hüttel gentoo-dev 2017-04-04 20:36:17 UTC
Created attachment 469206 [details]
stabilization list, v2

Fix XSLoader version
Comment 3 Andreas K. Hüttel gentoo-dev 2017-04-04 20:47:47 UTC
Arches please proceed with testing and stabilizing the attached list at your own leisure. 
Target: all stable arches.

One remark, it makes sense to do the actual stabilization of Perl & friends a bit later than the stabilization of perl-cleaner in bug 614696 - so users first get the new perl-cleaner and afterwards update Perl.
Comment 4 Michael Weber (RETIRED) gentoo-dev 2017-04-05 07:43:21 UTC
(In reply to Andreas K. Hüttel from comment #3)
> One remark, it makes sense to do the actual stabilization of Perl & friends
> a bit later than the stabilization of perl-cleaner in bug 614696 - so users
> first get the new perl-cleaner and afterwards update Perl.

Is there any hard reason for it? If so, why not bump the PDEPEND in perl to >=perl-cleaner-2.25.

So far, test-results look good on arm, arm64, ppc & ppc64.
Comment 5 Andreas K. Hüttel gentoo-dev 2017-04-05 09:28:55 UTC
(In reply to Michael Weber from comment #4)
> (In reply to Andreas K. Hüttel from comment #3)
> > One remark, it makes sense to do the actual stabilization of Perl & friends
> > a bit later than the stabilization of perl-cleaner in bug 614696 - so users
> > first get the new perl-cleaner and afterwards update Perl.
> 
> Is there any hard reason for it? If so, why not bump the PDEPEND in perl to
> >=perl-cleaner-2.25.
> 
> So far, test-results look good on arm, arm64, ppc & ppc64.

If portage works fine then both should get installed in the same emerge run and afterwards the user can run the new perl-cleaner. So, OK.

This is mostly about the cases when the update with emerge does not work properly... and these are hard to describe given the many configurations out there. Then again, the core functionality of perl-cleaner is identical in both versions. So should not be a big problem either.
Comment 6 Andreas K. Hüttel gentoo-dev 2017-04-05 09:30:01 UTC
Comment on attachment 469206 [details]
stabilization list, v2

Moved to separate BZ field
Comment 7 Michael Weber (RETIRED) gentoo-dev 2017-04-05 21:23:04 UTC
arm arm64 ppc ppc64 stable.
Comment 8 Agostino Sarubbo gentoo-dev 2017-04-12 10:57:32 UTC
A quick note about:

after put the list to package.keywords, emerge -DNu world --backtrack=1000 didn't work.
To emerge perl I had to emerge -C perl, then the list was emerged successfully.
After that, emerge -DNu world with and without a backtrack didn't work (because of a conflict between the older and newer perl)
Then, perl-cleaner --reallyall worked for me
After that emerge -DNu world worked.

If this is fine for you I will stabilize that.
Comment 9 Andreas K. Hüttel gentoo-dev 2017-04-14 16:24:22 UTC
(In reply to Agostino Sarubbo from comment #8)
> A quick note about:
> 
> after put the list to package.keywords, emerge -DNu world --backtrack=1000
> didn't work.
> To emerge perl I had to emerge -C perl, then the list was emerged
> successfully.
> After that, emerge -DNu world with and without a backtrack didn't work
> (because of a conflict between the older and newer perl)
> Then, perl-cleaner --reallyall worked for me
> After that emerge -DNu world worked.
> 
> If this is fine for you I will stabilize that.

OK so I prepared a mostly-stable test machine, added the stabilization file into package.keywords, and emerge was able to do the upgrade without any special preparations. I'm not sure what I am doing different...

I.e., all works fine here.

Ago- I suggest you go ahead with the stabilization.
Comment 10 Agostino Sarubbo gentoo-dev 2017-04-15 11:20:36 UTC
amd64 stable
Comment 11 Agostino Sarubbo gentoo-dev 2017-04-15 11:26:09 UTC
x86 stable
Comment 12 Jeroen Roovers gentoo-dev 2017-04-16 08:07:29 UTC
Stable for HPPA.
Comment 13 Andreas K. Hüttel gentoo-dev 2017-04-20 19:58:32 UTC
alpha, ia64, sparc: ping! 

It would be very useful to have this bug done and resolved.

(It's effectively blocking other maintenance work on Perl...)
Comment 14 Simon 2017-04-23 18:50:57 UTC
I just had this happen during an automated build starting with a clean gentoo container. I assume this is relevant to this bug, because it effectively means that the current packages in tree are not working together.

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:
dev-lang/perl:0
  (dev-lang/perl-5.22.3_rc4:0/5.22::gentoo, installed) pulled in by
    =dev-lang/perl-5.22* required by (virtual/perl-Data-Dumper-2.158.0-r1:0/0::gentoo, installed)
    ^              ^^^^^                                                                                                                                
    dev-lang/perl:0/5.22= required by (virtual/perl-File-Temp-0.230.400-r5:0/0::gentoo, installed)
                 ^^^^^^^^                                                                                                             
    (and 14 more with the same problems)
  (dev-lang/perl-5.24.1-r1:0/5.24::gentoo, ebuild scheduled for merge) pulled in by
    =dev-lang/perl-5.24* required by (virtual/perl-Scalar-List-Utils-1.420.200_rc-r1:0/0::gentoo, ebuild scheduled for merge)
    ^              ^^^^^                                                                                                                                                            
    (and 4 more with the same problem)

See https://travis-ci.org/simonvanderveldt/simonvanderveldt-overlay/builds/224929151 for the full log
Comment 15 Simon 2017-04-23 18:55:08 UTC
Since I can't delete a comment: please disregard the above comment.
I've commented on https://bugs.gentoo.org/show_bug.cgi?id=615864
Comment 16 Tobias Klausmann gentoo-dev 2017-04-24 12:45:26 UTC
Stable on alpha.
Comment 17 Agostino Sarubbo gentoo-dev 2017-04-28 13:14:37 UTC
sparc stable
Comment 18 Andreas K. Hüttel gentoo-dev 2017-05-30 21:18:15 UTC
@ IA64: PING!

*NOW* would be an excellent time to finally handle this bug!
Comment 19 Sergei Trofimovich gentoo-dev 2017-05-30 22:23:48 UTC
ia64 stable.

Last arch. Closing.